<script lang="ts">
	import type { Choice } from "$lib/domains/RPS.type";
	import type { Socket } from "socket.io-client";
	import ChoiceInput from "./ChoiceInput.svelte";
	import { onMount } from "svelte";
	import { getSocket } from "$lib/services/socket";

  // Player section component with inputs for choices chifoumi

  export const userWaiting: boolean = false;
  export let playerChoice: Choice = null;
  let value: Choice = playerChoice;

  const choiceList: Choice[] = ['rock', 'paper', 'scissors'];
  let socket: Socket | null = null;

  onMount(() => {
    socket = getSocket();
  })

  $: value = playerChoice;

  function handleChoiceChange(newChoice: Choice) {
    playerChoice = newChoice;
    socket?.emit("set choice", newChoice);
  }
</script>

<div class="container">
  {#each choiceList as choice}
    <ChoiceInput bind:group={value} value={choice} handleClick={handleChoiceChange} playerType="player" disabled={userWaiting}/>
  {/each}
</div>

<style>
  .container {
    display: flex;
    justify-content: space-between;
    gap: 8px;
  }
</style>